System.ServiceModel 4.0.0.0 System.Enum

Used by interoperable bindings, such as and , and to specify the SOAP message encoding that may be used.

The Message-Transmission Optimization Mechanism (MTOM) is a method for efficiently encoding binary XML elements within the context of a SOAP envelope.

Text encodings for messages, such as UTF8, are used for interoperability purposes.

Note that the standard bindings designed for interoperability with Web services do not use binary encodings. For more information about the standard bindings, see System-Provided Bindings.

Specifies whether Message Transmission Optimization Mechanism (MTOM) or text is used to encode SOAP messages.

- Field
  4.0.0.0
  System.ServiceModel.WSMessageEncoding

  MTOM is used to encode the SOAP messages.

- Field
  4.0.0.0
  System.ServiceModel.WSMessageEncoding

  Text is used to encode the SOAP messages.